Szkicownik: Obiekt szkicu

From FreeCAD Documentation
Revision as of 17:06, 31 May 2022 by Kaktus (talk | contribs) (Created page with "==Właściwości==")

Wprowadzenie

Obiekt SketchObject, lub formalnie Sketcher::SketchObject, jest podstawowym elementem do tworzenia obiektów 2D za pomocą środowiska pracy Szkicownik.

Obiekt Sketcher::SketchObject wywodzi się z obiektu Part2DObject, co oznacza, że jest to obiekt Cecha wyspecjalizowany dla geometrii 2D. Podobnie jak obiekt Part2DObject, obiekt SketchObject może być dołączany do płaszczyzn i powierzchni. Ponadto obiekt SketchObject może obsługiwać wiązania geometryczne.

Uproszczony diagram zależności pomiędzy podstawowymi obiektami w programie FreeCAD.

Użycie

  1. Przejdź do środowiska pracy Szkicownik.
  2. Naciśnij przycisk Utwórz szkic.
  3. Wybierz orientację szkicu jako: Płaszczyzna XY, Płaszczyzna XZ lub Płaszczyzna YZ. Opcjonalnie wybierz także opcję Odwróć kierunek i podaj wartość Odsunięcia.
  4. Naciśnij przycisk OK.

Chociaż obiekt SketchObject może być używany samodzielnie do rysowania na płaszczyźnie, jest on najczęściej używany w połączeniu ze środowiskiem Projekt Części do tworzenia brył wyciąganych.

  1. Przejdź do środowiska Projekt Części.
  2. Naciśnij przycisk Zawartość.
  3. Naciśnij przycisk Utwórz szkic.
  4. Wybierz cechę: Płaszczyzna_XY (płaszczyzna bazowa), Płaszczyzna_XZ (płaszczyzna bazowa) lub Płaszczyzna_YZ (płaszczyzna bazowa).
  5. Naciśnij przycisk OK.

Właściwości

See Property for all property types that scripted objects can have.

The Sketcher SketchObject (Sketcher::SketchObject class) is derived from the Part Part2DObject (Part::Part2DObject class) and inherits all its properties.

The Sketcher SketchObject also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Sketch

  • DANE (Hidden)Geometry (GeometryList): a list of Part geometries that exist inside the sketch.
  • DANEConstraints: named constraints, if they exist; otherwise it is an empty list [].
  • DANEExternal Geometry (LinkSubList): a list of Part geometries outside this Sketch that are used for reference.
  • DANE (Hidden)Fully Constrained (Bool): (read-only) if true the sketch is fully constrained.

View

Auto Constraints

  • WIDOKAutoconstraints (Bool): if true constraints are automatically added when geometry is drawn.
  • WIDOKAvoid Redundant (Bool): if true redundant auto-constraints are avoided.

Grid

  • WIDOK (Hidden)Grid Auto Size (Bool): if true the grid is resized based on the boundingbox of the geometry of the sketch.
  • WIDOKGrid Size (Length): the size of the spacing of the local grid lines in the 3D view; it defaults to 10 mm.
  • WIDOKGrid Snap (Bool): if true the grid can be used to snap points.
  • WIDOKGrid Style (Enumeration): the style of the grid lines; Dashed (default) or Light.
  • WIDOKShow Grid (Bool): if true a grid local to the object will be displayed in the 3D view. This grid is independent of the Draft Grid.
  • WIDOKShow Only In Edit Mode (Bool): if true the grid is only displayed while the sketch is being edited.
  • WIDOKTight Grid (Bool): if true the local grid will be localized around the origin of the shape, otherwise it will extend itself more.
  • WIDOKmax Number Of Lines (Integer): the maximum number of lines in the grid.

Visibility automation

  • WIDOKEditing Workbench (String): name of the workbench to activate when editing the sketch; it defaults to SketcherWorkbench.
  • WIDOKForce Ortho (Bool): if true the camera will be forced to orthographic view mode when the sketch is opened.
  • WIDOKHide Dependent (Bool): if true all objects that depend on the sketch are hidden when the sketch is opened.
  • WIDOKRestore Camera (Bool): if true the camera position is saved before opening the sketch, and is restored after closing it.
  • WIDOKSection View (Bool): if true only (parts of) objects behind the sketch plane are visible while the sketch is being edited.
  • WIDOKShow Links (Bool): if true all objects used in links to external geometry are shown when the sketch is opened.
  • WIDOKShow Support (Bool): if true all objects this sketch is attached to are shown when the sketch is opened.
  • WIDOK (Hidden)Tempo Vis (PythonObject): a custom class associated with this object, that handles hiding and showing other objects when opening and closing the sketch.

Tworzenie skryptów

Zobacz również: Podstawy tworzenia skryptów FreeCAD, oraz Obiekty skryptowe.

Ogólne informacje na temat dodawania obiektów do dokumentu można znaleźć na stronie Część: właściwość.

Obiekt SketchObject jest tworzony za pomocą metody dokumentu addObject().

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"

Dlatego też, dla klasy podrzędnej Python, powinieneś stworzyć obiekt Sketcher::SketchObjectPython.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"